----------------------------------------------------------------
-- IRONSIDES - DNS SERVER
--
-- By: Martin C. Carlisle and Barry S. Fagin
--     Department of Computer Science
--     United States Air Force Academy
--
-- This is free software; you can redistribute it and/or
-- modify without restriction.  We do ask that you please keep
-- the original author information, and clearly indicate if the
-- software has been modified.
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
----------------------------------------------------------------
WITH Udp_Query_Task_Pkg;
WITH Udp_Response_Task_Pkg;
with non_spark_command_line_pkg;
--# inherit udp_query_task_pkg, udp_response_task_pkg, dns_network,
--#    Protected_SPARK_IO_05, global_buffers, dns_table_pkg, Ada.Real_Time,
--#    dns_types, non_spark_command_line_pkg;
--# main_program;
--# global in Ada.Real_Time.ClockTime;
--#    in out DNS_Network.Network, Protected_SPARK_IO_05.SPARK_IO_PO,
--#    global_buffers.QueryBuffer, global_buffers.ResponseBuffer,
--#    dns_table_pkg.dns_table, udp_response_task_pkg.Startup_Suspension;

procedure Spark_Dns_v1_1_Main
is
   PRAGMA Priority(0);
BEGIN
   NULL; --program starts up here, when task packages are elaborated
   non_spark_command_line_pkg.Process_Command_Line;
end Spark_Dns_v1_1_Main;

