----------------------------------------------------------------
-- IRONSIDES - DNS SERVER
--
-- By: Martin C. Carlisle and Barry S. Fagin
--     Department of Computer Science
--     United States Air Force Academy
--
-- This is free software; you can redistribute it and/or
-- modify without restriction.  We do ask that you please keep
-- the original author information, and clearly indicate if the
-- software has been modified.
--
-- This software is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
----------------------------------------------------------------
WITH RR_Type;
WITH DNS_Network;
with DNS_Network_Receive;
WITH DNS_Types;
with unsigned_types;
WITH Protected_SPARK_IO_05;
WITH Global_Buffers;
WITH Buffer_Pkg;
WITH Udp_Response_Task_Pkg;
WITH Process_Dns_Request;
WITH non_spark_discrete_random_messageID_pkg;
With Ada;
With Ada.Text_IO;
USE TYPE Dns_Types.Unsigned_Short;
use type unsigned_Types.Unsigned32;
WITH Non_Spark_Command_Line_Pkg;
with check_patterns;
--# inherit Ada.Real_Time, RR_Type, DNS_Types, DNS_Network_Receive, DNS_Network,
--#    Protected_SPARK_IO_05, global_buffers, buffer_pkg, udp_response_task_pkg,
--#    non_spark_command_line_pkg, check_patterns,
--#    process_dns_request, non_spark_discrete_random_messageID_pkg, dns_table_pkg, unsigned_types;
package Udp_query_task_pkg
--# own task query_task : udp_query_task_type;
is
   TASK TYPE Udp_Query_Task_type
   --# global in out DNS_Network.Network, Protected_SPARK_IO_05.SPARK_IO_PO,
   --#    global_buffers.QueryBuffer, global_buffers.ResponseBuffer;
   --#    in dns_table_pkg.DNS_Table, Ada.Real_Time.ClockTime;
   --#    out udp_response_task_pkg.Startup_Suspension;
   is
      pragma Priority(0);
   end Udp_query_Task_type;

end Udp_query_task_pkg;
