WITH DNS_Types;
WITH Ada.Numerics.Discrete_Random;
--# inherit dns_types;
PACKAGE Non_Spark_Discrete_Random_MessageID_Pkg IS
   --this must always be a subtype of the DNS MessageID type, currently DNS_Types.Unsigned_Short
   SUBTYPE ValidMessageIDType IS DNS_Types.Unsigned_Short RANGE 1..DNS_Types.Unsigned_Short'Last;
   FUNCTION RandomID RETURN ValidMessageIDType;
PRIVATE
-- hidden because SPARK doesn't support generic instantiation, causes parse error in examiner
--# hide Non_Spark_Discrete_Random_MessageID_pkg;
   PACKAGE Random_MessageID_Pkg IS NEW Ada.Numerics.Discrete_Random(ValidMessageIDType);
   IDGenerator : Random_MessageID_Pkg.Generator;
   PROCEDURE ResetGenerator;
END Non_Spark_Discrete_Random_MessageID_pkg;

