WITH DNS_Network;
WITH Ada.Numerics.Discrete_Random;
--# inherit dns_network;
PACKAGE Non_Spark_Discrete_Random_Socket_Num_Pkg IS
   FUNCTION Random_Socket_Num RETURN dns_network.Socket_Array_Index_Type;
PRIVATE
-- hidden because SPARK doesn't support generic instantiation, causes parse error in examiner
--# hide Non_Spark_Discrete_Random_Socket_Num_pkg;
   PACKAGE Random_Socket_Num_Pkg IS NEW
      Ada.Numerics.Discrete_Random(dns_network.Socket_Array_Index_Type);
   Socket_Num_Generator : Random_Socket_Num_Pkg.Generator;
   PROCEDURE ResetGenerator;
END Non_Spark_Discrete_Random_Socket_Num_Pkg;

