package body Spark_Regpat is

   -------------
   -- Compile --
   -------------

   procedure Compile (Pattern : OUT Gnat_Pattern; Regexp : String) is
   begin
      gnat.regpat.compile(gnat.regpat.pattern_matcher(pattern),regexp);
   end Compile;

   -----------
   -- match --
   -----------

   function match (pattern : in gnat_pattern; text : string) return boolean is
   begin
      return gnat.regpat.match (gnat.regpat.pattern_matcher(pattern), text);
   end match;

   --------------------
   -- match_location --
   --------------------

   function match_location
     (pattern : in gnat_pattern;
      text : string)
      return natural
   is
   begin
      return gnat.regpat.match (gnat.regpat.pattern_matcher(pattern), text);
   end match_location;

end Spark_Regpat;
